> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cail.health/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cail.health/_mcp/server.

# Get a MeasureReport by identifier

GET https://staging.cail.health/v1/reports/{id}

Returns a single FHIR MeasureReport for the operator’s organisation. Returns 404 when the report does not exist or is outside the operator’s organisation scope.

Reference: https://docs.cail.health/api-references/api-reference/monitor-performance/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: cail-api
  version: 1.0.0
paths:
  /v1/reports/{id}:
    get:
      operationId: get
      summary: Get a MeasureReport by identifier
      description: >-
        Returns a single FHIR MeasureReport for the operator’s organisation.
        Returns 404 when the report does not exist or is outside the operator’s
        organisation scope.
      tags:
        - subpackage_monitorPerformance
      parameters:
        - name: id
          in: path
          description: Stable identifier of the MeasureReport.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The MeasureReport resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeasureReportSummary'
servers:
  - url: https://staging.cail.health
    description: https://staging.cail.health
components:
  schemas:
    MeasureReportSummary:
      type: object
      properties:
        resource:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            The FHIR MeasureReport resource as published. See the FHIR R4
            MeasureReport specification for field structure.
      required:
        - resource
      title: MeasureReportSummary
  securitySchemes:
    auth0Bearer:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "resource": {},
  "resourceType": "MeasureReport",
  "id": "c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e",
  "status": "complete",
  "period": {
    "start": "2026-04-01",
    "end": "2026-04-30"
  }
}
```

**SDK Code**

```python An April MeasureReport
import requests

url = "https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript An April MeasureReport
const url = 'https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go An April MeasureReport
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby An April MeasureReport
require 'uri'
require 'net/http'

url = URI("https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java An April MeasureReport
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php An April MeasureReport
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp An April MeasureReport
using RestSharp;

var client = new RestClient("https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift An April MeasureReport
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://staging.cail.health/v1/reports/c4d5e6f7-a8b9-4c01-9d2e-3f4a5b6c7d8e")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```